/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for CADImageLibraryEntryTemplate
 */
public enum EnumCM_CADImageLibraryEntryTemplate 
{
	//TID 4020 CAD Image Library Entry Template
	IMAGE_LATERALITY("Image Laterality"),
	IMAGE_VIEW("Image View"),
	IMAGE_VIEW_MODIFIER("Image View Modifier"),
	PATIENT_ORIENTATION_ROW("Patient Orientation Row"),
	PATIENT_ORIENTATION_COLUMN("Patient Orientation Column"),
	STUDY_DATE("Study Date"),
	STUDY_TIME("Study Time"),
	CONTENT_DATE("Content Date"),
	CONTENT_TIME("Content Time"),
	HORIZONTAL_PIXEL_SPACING("Horizontal Pixel Spacing"),
	VERTICAL_PIXEL_SPACING("Vertical Pixel Spacing"),
	POSITIONER_PRIMARY_ANGLE("Positioner Primary Angle"),
	POSITIONER_SECONDARY_ANGLE("Positioner Secondary Angle");

	private String value;

	EnumCM_CADImageLibraryEntryTemplate(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
